import {baseRequest} from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/dev/file/${url}`, ...arg)
/**
 * 文件
 */
export default {
	/**
	 * 上传文件
	 *{file:,engine:上传的文件引擎,为空取默认,returnId:返回id/返回文件地址}
	 */
	fileUpload(data) {
		return request('upload', data)
	},
	// 获取文件分页列表
	filePage(data) {
		return request('page', data, 'get')
	},
	// 获取文件列表
	fileList(data) {
		return request('list', data, 'get')
	},
	// 下载文件，这里要带上blob类型
	fileDownload(data) {
		return request('download', data, 'get', {
			responseType: 'blob'
		})
	},
	// 获取文件详情
	fileDetail(data) {
		return request('detail', data, 'get')
	},
	// 删除文件
	fileDelete(data) {
		return request('delete', data)
	}
}
